Search deliveries

POST <baseURL>/deliveries/search

This request searches for specific deliveries.

Example

This request specifies the only required parameter, the clientId, in this case for clientId of 2.
This returns all deliveries associated with clientId of 2.

POST {baseURL}/deliveries/search

Request body:

{ "clientId": "2"
}

This request specifies clientId of 2 and also returns 75 deliveries for each page, rather than the default 20.

{baseURL}/deliveries/search?pageSize=75

Request body:

{ "clientId": "2"
}

This request restricts the search from clientId of 2 but to deliveryStatus of DELIVERED.

POST {baseURL}/deliveries/search

Request body:

{ "clientId": "2", "deliveryStatus": "DELIVERED"
}

This request restricts the search based on the customer's first name and from among either of two pickup points.

POST {baseURL}/deliveries/search

Request body:

{ "clientId": "2", "customerFirstName" : "Jordan", "pickupPointId": [ "101979", "101387" ]
}

This request searches for delivery orders created between within a date range, in UNIX time seconds or milliseconds.

POST {baseURL}/deliveries/search

Request body:

{ "clientId" : "2", "deliveryCreateStartDate" : 1707858284942, "deliveryCreateEndDate" : 1718312684942
}

See Also

To retrieve delivery by deliveryId, see GET /deliveries/{deliveryId}.

To retrieve a delivery by clientId and externalOrderId, see POST /deliveries?clientId={clientId}&externalOrderId={externalOrderId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
Body Params

Specifies the filters for the delivery search.

The following limitations apply:

  • Wildcards are not supported, except as noted.
  • Partial matching is not supported.
    For example, eter will not match Peter.
  • Searches are case insensitive. For example, Peter will match peter.

Specifies the delivery destination address object.

Headers
Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json